%define pkgver %(echo %version | tr _ -)
Name:          open-iscsi
Epoch:         1
Version:       2.1.11
Release:       1mamba
Summary:       A high performance, transport independent, multi-platform implementation of RFC3720
Group:         System/Kernel and Hardware
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.open-iscsi.com/
Source:        https://github.com/open-iscsi/open-iscsi.git/%{version}/open-iscsi-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libkmod-devel
BuildRequires: libmount-devel
BuildRequires: libopen-isns-devel
BuildRequires: libopenssl-devel
BuildRequires: libsystemd-devel
## AUTOBUILDREQ-END

%description
Open-iSCSI project is a high performance, transport independent, multi-platform implementation of RFC3720.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%prep
%setup -q -n %{name}-%{pkgver}

%build
%meson \
   -Drulesdir=%{_udevrulesdir}

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_sysconfdir}/logrotate.d/iscsiuiolog
%dir %{_sysconfdir}/iscsi
%{_sysconfdir}/iscsi/initiatorname.iscsi
%config(noreplace) %{_sysconfdir}/iscsi/iscsid.conf
%{_sbindir}/brcm_iscsiuio
%{_sbindir}/iscsi*
%{_unitdir}/iscsi-init.service
%{_unitdir}/iscsi.service
%{_unitdir}/iscsid.service
%{_unitdir}/iscsid.socket
%{_unitdir}/iscsiuio.service
%{_unitdir}/iscsiuio.socket
%{_systemdgeneratordir}/ibft-rule-generator
%{_udevrulesdir}/50-iscsi-firmware-login.rules
%{_localstatedir}/lib/iscsi/ifaces/iface.example
%{_mandir}/man8/iscsi*.8*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libopeniscsiusr.so.*
%doc COPYING THANKS

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/libopeniscsiusr*.h
%{_libdir}/libopeniscsiusr.so
%{_mandir}/man3/iscsi*.3*
%{_mandir}/man3/libopeniscsiusr.h.3*
%{_libdir}/pkgconfig/libopeniscsiusr.pc

%changelog
* Mon Feb 17 2025 Automatic Build System <autodist@openmamba.org> 2.1.11-1mamba
- automatic version update by autodist

* Wed Nov 20 2024 Automatic Build System <autodist@openmamba.org> 2.1.10-1mamba
- automatic version update by autodist

* Mon Oct 24 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.8-1mamba
- update to 2.1.8

* Sat Mar 13 2021 Automatic Build System <autodist@mambasoft.it> 2.1.4-1mamba
- automatic version update by autodist

* Tue Dec 29 2020 Automatic Build System <autodist@mambasoft.it> 2.1.3-1mamba
- automatic version update by autodist

* Tue Dec 08 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.2-1mamba
- update to 2.1.2

* Tue Jun 24 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0_873-1mamba
- package created using the webbuild interface
